Firefox: Zmuszenie wtyczki YSlow do działania pod wersją 9.0

2012-06-28 Software

Wtyczka YSlow to świetne narzędzie, pomagające web developerom w optymalizacji i podnoszeniu wydajności tworzonych przez nich strony internetowych. Aby YSlow działało, wymagana jest wtyczka Firebug. Problem polega na tym, iż Firebug od wersji 1.8 do 1.10 nie współpracuje z YSlow.

Do czasu wydania kompatybilnych ze sobą wersji trzeba wykonać poniższy trick aby wtyczka działała w przeglądarce Firefox 9.x. Przed wykonaniem kolejnych czynności, powinno się dla bezpieczeństwa wykonań kopię bezpieczeństwa profilu Firefox. Test na wirtualnej maszynie przeszedł bez najmniejszych problemów. Rozpoczynamy od instalacji najnowszego Firebug'a oraz YSlow. Zakładając, że obie wtyczki mamy zainstalowane otwieramy zakładkę przeglądarki i na pasku adresu wpisujemy:

about:config

Po potwierdzeniu komunikatu o zachowaniu ostrożności klikamy prawym przyciskiem myszy i z menu kontekstowego wybieramy opcję "Dodaj ustawienie typu". Wybieramy wartość logiczną (boolean) gdzie jako nazwę podajemy:

extensions.checkCompatibility.9.0

a wartość:

false

Krok kolejny to zainstalowanie (po raz kolejny) wtyczki Firebug z oficjalnego serwera: getfirebug.com/releases/firebug/1.7X/ – wybieramy ostatnią wersję, tj.:

firebug-1.7X.0b4.xpi

Jeśli do tego kroku nie zainstalowano YSlow, należy tego dokonać w tym momencie. Na koniec restartujemy przeglądarkę i cieszymy się działającą wtyczką YSlow pod Firefox'em 9.x.

Matthew is native Polish and from time to time he writes articles in this language.
This page is an example of article in Polish language.